%define rname neon

%define	major		27
%define libname		%mklibname %{rname} %{major}
%define devname		%mklibname %{rname} -d
%define staticname	%mklibname %{rname} -d -s

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon
Version: 	0.30.2
Release: 	%mkrel 2
Group: 		Development/Other
License: 	GPLv2+ and LGPLv2+
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.xz
Patch0:	neon-locales.diff
Patch1:	neon-fail_parse.diff
Patch2:	neon-borked_addr_reverse.diff
Patch3:	neon-borked_retry_notcompress_and_retry_compress.diff
Patch4:	neon-borked_read_reset.diff
Patch6:	neon-0.28.2-fix-segfault.patch
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel
BuildRequires:	rootcerts
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRequires:	multiarch-utils >= 1.0.3
Obsoletes:	libneon0.27 < 0.30.0

%description
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This package contains the internationalization and locale data for %{name}.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	rootcerts
Requires:	openssl >= 0.9.7
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes:	%{_lib}neon0.27 < 0.30.0

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libneon-devel = %{version}-%{release}
Provides:	neon-devel = %{version}-%{release}
Obsoletes:	%{_lib}neon0.27-devel < 0.30.0

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{staticname}
Summary:	Static %{name} library
Group:		Development/Libraries
Requires:	%{devname} = %{version}-%{release}
Provides:	libneon-static-devel = %{version}-%{release}
Provides:	neon-static-devel = %{version}-%{release}
Obsoletes:	%{_lib}neon0.27-static-devel < 0.30.0

%description -n	%{staticname}
Static %{name} library.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch6 -p1

# fix mo clash (#28428)
perl -pi -e "s|_LIBNAME_|%{rname}%{major}|g" Makefile.in src/ne_internal.h

# this value has to be raised on x86_64
perl -pi -e "s|^ulimit \-v .*|ulimit \-v 40960|g" test/run.sh

%build
%serverbuild
%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl=openssl \
    --enable-threadsafe-ssl=posix \
    --with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
    --with-libxml2

%make

%install
rm -rf %buildroot
%makeinstall_std

cp src/README README.neon

# fix this
rm -rf %{buildroot}%{_docdir}

find %{buildroot} -name *.la -delete

%multiarch_binaries %{buildroot}%{_bindir}/neon-config

%find_lang %{rname}%{major}

%files i18n -f %{rname}%{major}.lang

%files -n %{libname}
%doc doc/*.txt README.neon
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{devname}
%doc AUTHORS BUGS doc/html ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/neon-config
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/neon.pc
%{_includedir}/neon/
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{staticname}
%{_libdir}/lib*.a


%changelog
* Mon Dec 02 2019 tex - 0.30.2-2pclos2019
- rebuild against updates

